ChangeSet 1.1123.18.7, 2003/08/11 16:20:15-07:00, david-b@pacbell.net

[PATCH] USB: dabusb doesn't claim every ez-usb an21xx device

This resolves the annoyance that dabusb claims devices
it shouldn't (and hotplugs for them), because of wrongly
including the device IDs used by an21xx devices that don't
have an ID prom.  Mostly affects developers.

Deti OK'd such a patch ages ago.


 drivers/usb/media/dabusb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/media/dabusb.c b/drivers/usb/media/dabusb.c
--- a/drivers/usb/media/dabusb.c	Fri Aug 15 10:47:31 2003
+++ b/drivers/usb/media/dabusb.c	Fri Aug 15 10:47:31 2003
@@ -800,7 +800,7 @@
 }
 
 static struct usb_device_id dabusb_ids [] = {
-	{ USB_DEVICE(0x0547, 0x2131) },
+	// { USB_DEVICE(0x0547, 0x2131) },	/* An2131 chip, no boot ROM */
 	{ USB_DEVICE(0x0547, 0x9999) },
 	{ }						/* Terminating entry */
 };
